Bug 492316

Summary: mouse cursor disappears when position x=0 OR y=0 (at the top or left)
Product: [Fedora] Fedora Reporter: Michal Hlavinka <mhlavink>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: airlied, ajax, awilliam, belegdol, bskeggs, romui, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-27 17:00:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michal Hlavinka 2009-03-26 08:59:18 EDT
Description of problem:
when mouse cursor is moved to the complete top or left it disappears

Version-Release number of selected component (if applicable):
hw nvidia GeForce Go 7600

How reproducible:
allways

Steps to Reproduce:
1.move mouse cursor to the top or left
2.
3.
  
Actual results:
mouse cursor disappear

Expected results:


Additional info:
I'm not completely sure if this is bug or gnome feature, but after rpm -e xorg-..-nouveau and X restart mouse cursor stays visible
Comment 1 Julian Sikorski 2009-03-26 11:29:06 EDT
I can confirm this happens with nouveau test day livecd on the same hardware (go 7600):
xorg-x11-drv-nouveau-0.0.12-15.20090323git4067ab4.fc11.x86_64
Comment 2 Will Woods 2009-03-26 12:21:12 EDT
Yeah, reproduced here with an NV44 (Quadro NVS 285). It didn't happen with the xorg-x11-drv-nouveau that's currently in rawhide.

The -16 build in koji seems to fix the problem, at least for one of my test systems.

http://koji.fedoraproject.org/koji/buildinfo?buildID=95423

Could you try installing that build to see if it helps?
Comment 3 Romualdas Mincevicius 2009-03-26 13:19:40 EDT
I confirm this bug with Fedora rawhide 2009-03-06 test-day CD.
Video card: GeForce 6150SE nForce 430 [10de:03d0] (rev a2)
Smalt hardware profile: http://www.smolts.org/client/show/pub_8a3e1206-16d2-4e92-80f6-ea5bc4715aa1
New nouveau driver package from http://koji.fedoraproject.org/koji/buildinfo?buildID=95423 solves the problem.
Comment 4 Romualdas Mincevicius 2009-03-26 15:54:08 EDT
Want to add that I've also got the same results on other PC with GeForce 7600 GT [10de:02e0] (rev a2)
Smalt hardware profile: http://www.smolts.org/client/show/?uuid=pub_487dec4e-eaf4-4e6f-bbcb-306b9e43c3af
New nouveau driver package solves the problem.
Comment 5 Michal Hlavinka 2009-03-27 13:21:18 EDT
(In reply to comment #2)
> Yeah, reproduced here with an NV44 (Quadro NVS 285). It didn't happen with the
> xorg-x11-drv-nouveau that's currently in rawhide.
> 
> The -16 build in koji seems to fix the problem, at least for one of my test
> systems.
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=95423
> 
> Could you try installing that build to see if it helps?  

unfortunately, I can't test it before sunday
Comment 6 Adam Williamson 2009-03-27 17:00:31 EDT
as there've been two reports that the updated package fixes it, i'm tentatively closing this. please re-open if you still experience trouble with the updated package.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers